summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO4
-rwxr-xr-xbin/reproducible_coreboot.sh6
-rw-r--r--job-cfg/reproducible.yaml2
3 files changed, 5 insertions, 7 deletions
diff --git a/TODO b/TODO
index 012b150e..f75f24bf 100644
--- a/TODO
+++ b/TODO
@@ -226,12 +226,10 @@ egrep -R -l '(debbindiff had trouble comparing|maybe there is still )' /var/lib/
<mapreri> that would be wonderful.
* coreboot build job
-** add more variations
+** add more variations: domain+hostname, PATH, uid+gid, USER, UTS namespace, kernel version, umask
** clone with https
* coreboot html
** include rom name via path in dbd output
-* coreboot job
-** better description
* openwrt
<pre>
diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index 43d7ecaa..1243b2aa 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -101,7 +101,7 @@ echo "==========================================================================
echo "$(date -u) - Building cross compilers for ${ARCHS} now."
echo "============================================================================="
for ARCH in ${ARCHS} ; do
- make crossgcc-$ARCH
+ nice ionice -c 3 make crossgcc-$ARCH
done
echo "============================================================================="
@@ -115,7 +115,7 @@ NUM_CPU=$(cat /proc/cpuinfo |grep '^processor'|wc -l)
sed -i "s#cpus=1#cpus=$NUM_CPU#" util/abuild/abuild
sed -i 's#USE_XARGS=1#USE_XARGS=0#g' util/abuild/abuild
# actually build everything
-bash util/abuild/abuild || true # don't fail the full job just because some targets fail
+nice ionice -c 3 bash util/abuild/abuild || true # don't fail the full job just because some targets fail
cd coreboot-builds
for i in * ; do
@@ -136,7 +136,7 @@ export LC_ALL="fr_CH.UTF-8"
# use allmost all cores for second build
NEW_NUM_CPU=$(echo $NUM_CPU-1|bc)
sed -i "s#cpus=$NUM_CPU#cpus=$NEW_NUM_CPU#" util/abuild/abuild
-bash util/abuild/abuild || true # don't fail the full job just because some targets fail
+nice ionice -c 3 bash util/abuild/abuild || true # don't fail the full job just because some targets fail
export LANG="en_GB.UTF-8"
unset LC_ALL
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index 4676b1b2..d8300d99 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -372,7 +372,7 @@
my_shell: '/srv/jenkins/bin/reproducible_build.sh'
my_recipients: 'qa-jenkins-scm@lists.alioth.debian.org'
- '{name}_coreboot':
- my_description: 'Test coreboot for reproducibility.'
+ my_description: 'Try to rebuild all coreboot ROMs twice (with variations) and investigate them regarding reproducibility.'
my_timed: '23 42 23 * *'
my_shell: '/srv/jenkins/bin/reproducible_coreboot.sh'
my_recipients: 'qa-jenkins-scm@lists.alioth.debian.org'